## notqmail 1.09

=== Makefile ===
# Don't edit Makefile! Use conf-* for configuration.

SHELL=/bin/sh
NROFF=nroff
RELEASE_VERSION=1.09

default: it

.PHONY: check clean default it man test
.PHONY: release-changes release-commit release-copyright
.PHONY: release-signatures release-tag release-tag-push release-tarballs

.SUFFIXES: .0 .1 .5 .7 .8

.1.0:
	$(NROFF) -man $< >$@; \
	ret=$$?; [ 0 = $$ret ] || rm -f $@; exit $$ret

.5.0:
	$(NROFF) -man $< >$@; \
	ret=$$?; [ 0 = $$ret ] || rm -f $@; exit $$ret

.7.0:
	$(NROFF) -man $< >$@; \
	ret=$$?; [ 0 = $$ret ] || rm -f $@; exit $$ret

.8.0:
	$(NROFF) -man $< >$@; \
	ret=$$?; [ 0 = $$ret ] || rm -f $@; exit $$ret

release-changes:
	( grep 'version: notqmail $(RELEASE_VERSION)\.$$' CHANGES.md >/dev/null 2>&1 ) || \
	( echo - `date '+%Y%m%d'` version: notqmail $(RELEASE_VERSION).; \
	cat CHANGES.md; \
	) > CHANGES.md.new; \
	[ ! -f CHANGES.md.new ] || mv -f CHANGES.md.new CHANGES.md

release-commit:
	git commit -S -m 'This is notqmail $(RELEASE_VERSION).' CHANGES.md COPYRIGHT Makefile

release-copyright:
	[ `git diff master COPYRIGHT | wc -l` -gt 0 ] || \
	( previous=`grep version: CHANGES.md | grep -v '$(RELEASE_VERSION)\.$$' | head -n 1 | sed -e 's|.* ||' -e 's|\.$$||'`; \
	echo; echo notqmail-$(RELEASE_VERSION); \
	yes - | head -n `echo notqmail-$(RELEASE_VERSION) | tr -d '\n' | wc -c` | tr -d '\n'; \
	echo; \
	echo No copyright is claimed by the distributors of notqmail for changes from; \
	echo $$previous to $(RELEASE_VERSION).; \
	) >> COPYRIGHT

release-signatures:
	gpg --detach-sign -a -o notqmail-$(RELEASE_VERSION).tar.gz.sig notqmail-$(RELEASE_VERSION).tar.gz
	gpg --detach-sign -a -o notqmail-$(RELEASE_VERSION).tar.xz.sig notqmail-$(RELEASE_VERSION).tar.xz

release-tag:
	git tag -s notqmail-$(RELEASE_VERSION)

release-tag-push:
	git push origin notqmail-$(RELEASE_VERSION)

release-tarballs:
	git archive --prefix=notqmail-$(RELEASE_VERSION)/ -o notqmail-$(RELEASE_VERSION).tar notqmail-$(RELEASE_VERSION)
	gzip --best --keep notqmail-$(RELEASE_VERSION).tar
	xz --best --keep notqmail-$(RELEASE_VERSION).tar
	rm -f notqmail-$(RELEASE_VERSION).tar

addresses.0: \
addresses.5

auto-ccld.sh: \
conf-cc conf-ld warn-auto.sh
	( cat warn-auto.sh; \
	echo CC=\'`head -n 1 conf-cc`\'; \
	echo LD=\'`head -n 1 conf-ld`\' \
	) > auto-ccld.sh

auto-int: \
load auto-int.o substdio.a error.a str.a fs.a
	./load auto-int substdio.a error.a str.a fs.a 

auto-int.o: \
compile auto-int.c substdio.h readwrite.h exit.h scan.h fmt.h
	./compile auto-int.c

auto-int8: \
load auto-int8.o substdio.a error.a str.a fs.a
	./load auto-int8 substdio.a error.a str.a fs.a 

auto-int8.o: \
compile auto-int8.c substdio.h readwrite.h exit.h scan.h fmt.h
	./compile auto-int8.c

auto-str: \
load auto-str.o substdio.a error.a str.a
	./load auto-str substdio.a error.a str.a 

auto-str.o: \
compile auto-str.c substdio.h readwrite.h exit.h
	./compile auto-str.c

auto_break.c: \
auto-str conf-break
	./auto-str auto_break \
	"`head -n 1 conf-break`" > auto_break.c

auto_break.o: \
compile auto_break.c
	./compile auto_break.c

auto_patrn.c: \
auto-int8 conf-patrn
	./auto-int8 auto_patrn `head -n 1 conf-patrn` > auto_patrn.c

auto_patrn.o: \
compile auto_patrn.c
	./compile auto_patrn.c

auto_qmail.c: \
auto-str conf-qmail
	./auto-str auto_qmail `head -n 1 conf-qmail` > auto_qmail.c

auto_qmail.o: \
compile auto_qmail.c
	./compile auto_qmail.c

auto_spawn.c: \
auto-int conf-spawn
	./auto-int auto_spawn `head -n 1 conf-spawn` > auto_spawn.c

auto_spawn.o: \
compile auto_spawn.c
	./compile auto_spawn.c

auto_split.c: \
auto-int conf-split
	./auto-int auto_split `head -n 1 conf-split` > auto_split.c

auto_split.o: \
compile auto_split.c
	./compile auto_split.c

auto_usera.c: \
auto-str conf-users
	./auto-str auto_usera `head -n 1 conf-users` > auto_usera.c

auto_usera.o: \
compile auto_usera.c
	./compile auto_usera.c

auto_userd.c: \
auto-str conf-users
	./auto-str auto_userd `head -n 2 conf-users | tail -1` > auto_userd.c

auto_userd.o: \
compile auto_userd.c
	./compile auto_userd.c

auto_userl.c: \
auto-str conf-users
	./auto-str auto_userl `head -n 3 conf-users | tail -1` > auto_userl.c

auto_userl.o: \
compile auto_userl.c
	./compile auto_userl.c

auto_usero.c: \
auto-str conf-users
	./auto-str auto_usero `head -n 4 conf-users | tail -1` > auto_usero.c

auto_usero.o: \
compile auto_usero.c
	./compile auto_usero.c

auto_userp.c: \
auto-str conf-users
	./auto-str auto_userp `head -n 5 conf-users | tail -1` > auto_userp.c

auto_userp.o: \
compile auto_userp.c
	./compile auto_userp.c

auto_userq.c: \
auto-str conf-users
	./auto-str auto_userq `head -n 6 conf-users | tail -1` > auto_userq.c

auto_userq.o: \
compile auto_userq.c
	./compile auto_userq.c

auto_userr.c: \
auto-str conf-users
	./auto-str auto_userr `head -n 7 conf-users | tail -1` > auto_userr.c

auto_userr.o: \
compile auto_userr.c
	./compile auto_userr.c

auto_users.c: \
auto-str conf-users
	./auto-str auto_users `head -n 8 conf-users | tail -1` > auto_users.c

auto_users.o: \
compile auto_users.c
	./compile auto_users.c

auto_groupn.c: \
auto-str conf-groups
	./auto-str auto_groupn `head -n 2 conf-groups | tail -1` > auto_groupn.c

auto_groupn.o: \
compile auto_groupn.c
	./compile auto_groupn.c

auto_groupq.c: \
auto-str conf-groups
	./auto-str auto_groupq `head -n 1 conf-groups` > auto_groupq.c

auto_groupq.o: \
compile auto_groupq.c
	./compile auto_groupq.c

binm1: \
binm1.sh conf-qmail
	cat binm1.sh \
	| sed s}QMAIL}"`head -n 1 conf-qmail`"}g \
	> binm1
	chmod 755 binm1

binm1+df: \
binm1+df.sh conf-qmail
	cat binm1+df.sh \
	| sed s}QMAIL}"`head -n 1 conf-qmail`"}g \
	> binm1+df
	chmod 755 binm1+df

binm2: \
binm2.sh conf-qmail
	cat binm2.sh \
	| sed s}QMAIL}"`head -n 1 conf-qmail`"}g \
	> binm2
	chmod 755 binm2

binm2+df: \
binm2+df.sh conf-qmail
	cat binm2+df.sh \
	| sed s}QMAIL}"`head -n 1 conf-qmail`"}g \
	> binm2+df
	chmod 755 binm2+df

binm3: \
binm3.sh conf-qmail
	cat binm3.sh \
	| sed s}QMAIL}"`head -n 1 conf-qmail`"}g \
	> binm3
	chmod 755 binm3

binm3+df: \
binm3+df.sh conf-qmail
	cat binm3+df.sh \
	| sed s}QMAIL}"`head -n 1 conf-qmail`"}g \
	> binm3+df
	chmod 755 binm3+df

bouncesaying: \
load bouncesaying.o strerr.a error.a substdio.a str.a wait.a
	./load bouncesaying strerr.a error.a substdio.a str.a \
	wait.a 

bouncesaying.0: \
bouncesaying.1

bouncesaying.o: \
compile bouncesaying.c fork.h strerr.h error.h wait.h sig.h exit.h
	./compile bouncesaying.c

byte_chr.o: \
compile byte_chr.c byte.h
	./compile byte_chr.c

byte_copy.o: \
compile byte_copy.c byte.h
	./compile byte_copy.c

byte_cr.o: \
compile byte_cr.c byte.h
	./compile byte_cr.c

byte_rchr.o: \
compile byte_rchr.c byte.h
	./compile byte_rchr.c

byte_zero.o: \
compile byte_zero.c byte.h
	./compile byte_zero.c

case.a: \
makelib case_diffb.o case_diffs.o case_lowerb.o case_lowers.o \
case_starts.o
	./makelib case.a case_diffb.o case_diffs.o case_lowerb.o \
	case_lowers.o case_starts.o

case_diffb.o: \
compile case_diffb.c case.h
	./compile case_diffb.c

case_diffs.o: \
compile case_diffs.c case.h
	./compile case_diffs.c

case_lowerb.o: \
compile case_lowerb.c case.h
	./compile case_lowerb.c

case_lowers.o: \
compile case_lowers.c case.h
	./compile case_lowers.c

case_starts.o: \
compile case_starts.c case.h
	./compile case_starts.c

cdb.a: \
makelib cdb_hash.o cdb_unpack.o cdb_seek.o
	./makelib cdb.a cdb_hash.o cdb_unpack.o cdb_seek.o

cdb_hash.o: \
compile cdb_hash.c cdb.h uint32.h
	./compile cdb_hash.c

cdb_seek.o: \
compile cdb_seek.c cdb.h uint32.h
	./compile cdb_seek.c

cdb_unpack.o: \
compile cdb_unpack.c cdb.h uint32.h
	./compile cdb_unpack.c

cdbmake.a: \
makelib cdbmake_pack.o cdbmake_hash.o cdbmake_add.o
	./makelib cdbmake.a cdbmake_pack.o cdbmake_hash.o \
	cdbmake_add.o

cdbmake_add.o: \
compile cdbmake_add.c cdbmake.h alloc.h uint32.h
	./compile cdbmake_add.c

cdbmake_hash.o: \
compile cdbmake_hash.c cdbmake.h uint32.h
	./compile cdbmake_hash.c

cdbmake_pack.o: \
compile cdbmake_pack.c cdbmake.h uint32.h
	./compile cdbmake_pack.c

cdbmss.o: \
compile cdbmss.c readwrite.h seek.h alloc.h cdbmss.h cdbmake.h \
uint32.h substdio.h
	./compile cdbmss.c

check: \
it man
	./instcheck

chkspawn: \
load chkspawn.o substdio.a error.a str.a fs.a auto_spawn.o
	./load chkspawn substdio.a error.a str.a fs.a auto_spawn.o 

chkspawn.o: \
compile chkspawn.c substdio.h subfd.h substdio.h fmt.h select.h \
auto_spawn.h
	./compile chkspawn.c

clean: \
TARGETS
	rm -f `grep -v '^#' TARGETS`
	cd tests && $(MAKE) clean

coe.o: \
compile coe.c coe.h
	./compile coe.c

commands.o: \
compile commands.c commands.h substdio.h stralloc.h gen_alloc.h str.h \
case.h
	./compile commands.c

compile: \
make-compile warn-auto.sh
	( cat warn-auto.sh; ./make-compile ) > compile
	chmod 755 compile

condredirect: \
load condredirect.o qmail.o strerr.a fd.a sig.a wait.a env.a \
substdio.a error.a str.a fs.a auto_qmail.o
	./load condredirect qmail.o strerr.a fd.a sig.a wait.a \
	env.a substdio.a error.a str.a fs.a auto_qmail.o

condredirect.0: \
condredirect.1

condredirect.o: \
compile condredirect.c sig.h readwrite.h exit.h env.h error.h fork.h \
wait.h seek.h qmail.h substdio.h strerr.h substdio.h fmt.h
	./compile condredirect.c

config: \
warn-auto.sh config.sh conf-qmail conf-break conf-split
	cat warn-auto.sh config.sh \
	| sed s}QMAIL}"`head -n 1 conf-qmail`"}g \
	| sed s}BREAK}"`head -n 1 conf-break`"}g \
	| sed s}SPLIT}"`head -n 1 conf-split`"}g \
	> config
	chmod 755 config

config-fast: \
warn-auto.sh config-fast.sh conf-qmail conf-break conf-split
	cat warn-auto.sh config-fast.sh \
	| sed s}QMAIL}"`head -n 1 conf-qmail`"}g \
	| sed s}BREAK}"`head -n 1 conf-break`"}g \
	| sed s}SPLIT}"`head -n 1 conf-split`"}g \
	> config-fast
	chmod 755 config-fast

constmap.o: \
compile constmap.c constmap.h alloc.h case.h
	./compile constmap.c

control.o: \
compile control.c readwrite.h open.h getln.h stralloc.h gen_alloc.h \
substdio.h error.h control.h alloc.h scan.h
	./compile control.c

date822fmt.o: \
compile date822fmt.c datetime.h fmt.h date822fmt.h
	./compile date822fmt.c

datemail: \
warn-auto.sh datemail.sh conf-qmail conf-break conf-split
	cat warn-auto.sh datemail.sh \
	| sed s}QMAIL}"`head -n 1 conf-qmail`"}g \
	| sed s}BREAK}"`head -n 1 conf-break`"}g \
	| sed s}SPLIT}"`head -n 1 conf-split`"}g \
	> datemail
	chmod 755 datemail

datetime.a: \
makelib datetime.o datetime_un.o
	./makelib datetime.a datetime.o datetime_un.o

datetime.o: \
compile datetime.c datetime.h
	./compile datetime.c

datetime_un.o: \
compile datetime_un.c datetime.h
	./compile datetime_un.c

direntry.h: \
compile trydrent.c direntry.h1 direntry.h2
	( ./compile trydrent.c >/dev/null 2>&1 \
	&& cat direntry.h2 || cat direntry.h1 ) > direntry.h
	rm -f trydrent.o

dns.lib: \
tryrsolv.c compile load socket.lib dns.o ipalloc.o ip.o stralloc.a \
error.a fs.a str.a
	( ( ./compile tryrsolv.c && ./load tryrsolv dns.o \
	ipalloc.o ip.o stralloc.a error.a fs.a str.a \
	-lresolv `cat socket.lib` ) >/dev/null 2>&1 \
	&& echo -lresolv || exit 0 ) > dns.lib
	rm -f tryrsolv.o tryrsolv

dns.o: \
compile dns.c ip.h ipalloc.h ip.h gen_alloc.h fmt.h alloc.h str.h \
stralloc.h gen_alloc.h dns.h case.h
	./compile dns.c

dnsdoe.o: \
compile dnsdoe.c substdio.h subfd.h substdio.h exit.h dns.h dnsdoe.h
	./compile dnsdoe.c

dnsfq: \
load dnsfq.o dns.o dnsdoe.o ip.o ipalloc.o stralloc.a \
substdio.a error.a str.a fs.a dns.lib socket.lib
	./load dnsfq dns.o dnsdoe.o ip.o ipalloc.o stralloc.a \
	substdio.a error.a str.a fs.a  `cat dns.lib` `cat socket.lib`

dnsfq.o: \
compile dnsfq.c substdio.h subfd.h substdio.h stralloc.h gen_alloc.h \
dns.h dnsdoe.h ip.h ipalloc.h ip.h gen_alloc.h
	./compile dnsfq.c

dnsip: \
load dnsip.o dns.o dnsdoe.o ip.o ipalloc.o stralloc.a \
substdio.a error.a str.a fs.a dns.lib socket.lib
	./load dnsip dns.o dnsdoe.o ip.o ipalloc.o stralloc.a \
	substdio.a error.a str.a fs.a  `cat dns.lib` `cat socket.lib`

dnsip.o: \
compile dnsip.c substdio.h subfd.h substdio.h stralloc.h gen_alloc.h \

=== tests/Makefile ===
# Tests require
# 1. <https://pkg-config.freedesktop.org>
#    (or <https://github.com/pkgconf/pkgconf>)
# 2. <https://libcheck.github.io/check/>

SHELL=/bin/sh

default: it

.PHONY: clean default it test

TESTBINS = unittest_stralloc unittest_qmail-remote unittest_prioq unittest_qmail-send

clean:
	rm -f $(TESTBINS) *.o *-without-main.c

it: $(TESTBINS)

test: it
	@for tbin in $(TESTBINS); do \
		./$$tbin || exit 1 ; \
	done

unittest_stralloc: \
../load unittest_stralloc.o ../stralloc.a ../str.a ../error.a
	../load unittest_stralloc ../stralloc.a ../str.a ../error.a \
	`pkg-config --libs check`

unittest_stralloc.o: \
../compile unittest_stralloc.c ../alloc.h ../stralloc.h
	../compile unittest_stralloc.c -I.. \
	`pkg-config --cflags check`

qmail-remote-without-main.c: \
../qmail-remote.c
	head -n $$(grep -n '^int main(' ../qmail-remote.c | sed 's/:.*//') ../qmail-remote.c | sed '/^int main(/d' > qmail-remote-without-main.c

qmail-remote-without-main.o: \
../compile qmail-remote-without-main.c
	../compile qmail-remote-without-main.c -I..

unittest_qmail-remote: \
../load unittest_qmail-remote.o qmail-remote-without-main.o ../control.o ../ip.o ../constmap.o \
../timeoutread.o ../timeoutwrite.o ../quote.o \
../stralloc.a ../str.a ../error.a ../substdio.a ../fs.a ../open.a ../str.a \
../getln.a ../case.a
	../load unittest_qmail-remote qmail-remote-without-main.o ../control.o ../ip.o ../constmap.o \
	../timeoutread.o ../timeoutwrite.o ../quote.o \
	../stralloc.a ../str.a ../error.a ../substdio.a ../fs.a ../open.a \
	../getln.a ../str.a ../case.a \
	`pkg-config --libs check`

unittest_qmail-remote.o: \
../compile unittest_qmail-remote.c ../alloc.h ../stralloc.h
	../compile unittest_qmail-remote.c -I.. \
	`pkg-config --cflags check`

unittest_prioq: \
../load unittest_prioq.o ../prioq.o ../error.a
	../load unittest_prioq ../prioq.o ../error.a \
	`pkg-config --libs check`

unittest_prioq.o: \
../compile unittest_prioq.c ../prioq.h
	../compile unittest_prioq.c -I.. \
	`pkg-config --cflags check`

qmail-send-without-main.c: \
../qmail-send.c
	head -n $$(grep -n '^int main(' ../qmail-send.c | sed 's/:.*//') ../qmail-send.c | sed '/^int main(/d' > qmail-send-without-main.c

unittest_qmail-send: \
../load unittest_qmail-send.o ../qsutil.o ../control.o ../constmap.o ../newfield.o ../prioq.o \
../trigger.o ../fmtqfn.o ../quote.o ../readsubdir.o ../qmail.o ../date822fmt.o \
../datetime.a ../case.a ../ndelay.a ../getln.a ../wait.a ../fd.a ../sig.a ../open.a \
../lock.a ../stralloc.a ../substdio.a ../error.a ../str.a ../fs.a ../auto_qmail.o \
../auto_split.o ../env.a
	../load unittest_qmail-send \
	../qsutil.o ../control.o ../constmap.o ../newfield.o \
	../prioq.o ../trigger.o ../fmtqfn.o ../quote.o ../readsubdir.o \
	../qmail.o ../date822fmt.o ../datetime.a ../case.a ../ndelay.a ../getln.a \
	../wait.a ../fd.a ../sig.a ../open.a ../lock.a ../stralloc.a \
	../substdio.a ../error.a ../str.a ../fs.a ../auto_qmail.o ../auto_split.o ../env.a \
	`pkg-config --libs check`

unittest_qmail-send.o: \
../compile unittest_qmail-send.c qmail-send-without-main.c
	../compile unittest_qmail-send.c -I.. \
	`pkg-config --cflags check`

=== debian/changelog ===
notqmail (1.09-1.1+1.18) unstable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Tue, 30 Sep 2025 23:36:58 +0000

notqmail (1.09-1.1) unstable; urgency=medium
  * 20240323 code: declare `op()` parameter list in `allwrite()`.
  * 20240323 code: declare `substdio_flush()` parameter list.
  * 20240323 code: convert `substdio_*puts*()` to static inlines.
  * 20240323 code: avoid shadowing built-in puts() in `auto-*.c`.
  * 20240209 code: `instchown`: operate on fds directly.
  * 20240127 code: replace `instqueue` with `instpackage queue-only`.
  * 20221115 code: honor all groups of qmailr user when spawning `qmail-rspawn`.
  * 20221023 code: netstring parsing in `qmail-qmtpd` & `qmail-qmqpd` now checks that the netstring length is actually a number.
  * 20221013 code: add missing system headers for `close()`, `chdir()`, `getpid()`.
  * 20220510 code: `qmail-qstat`: simplify the code.
  * 20220215 bug: `qmail-inject`: fix header parse regression.
  * 20220130 code: add tests for `qmail-send:job_*()` functions.
  * 20210816 code: `Makefile`: remove stale references to `auto-uid`.
  * 20210815 code: fix `make clean`.
  * 20210130 code: add `noreturn` attribute to a couple of functions.
  * 20210124 bug: `qmail-remote`: handle DNS packets up to max EDNS response size.
  * 20210122 portability: Do not use POSIX-style `-n` argument for `tail`.
  * 20210122 code: remove `register` storage class declaration from codebase.
  * 20210122 code: restore (and deprecate) `substdio_bget()`.
  * 20210122 code: extend `qmail-queue` interface so a custom rejection message can be communicated to the caller.
  * 20210122 code: fix 3 warnings from `-Wpointer-sign`.
  * 20201219 code: add `instqueue` for packagers, extracted from `instpackage`.
  * 20201218 code: include our own headers first in all C files.
  * 20201216 code: fix CodeQL cpp/integer-multiplication-cast-to-long.
  * 20201204 code: use `ssize_t` in `substdio`.
  * 20201130 bug: `qmail-local`: close race window when creating file in `tmp/`.
  * 20201128 code: fix 5 warnings from `-Wdangling-else`.
  * 20201128 code: fix 17 warnings from `-Wparentheses`.
  * 20201128 code: fix 1 warning from `-Wempty-body`.
  * 20201127 code: fix 3 warnings from `-Wpointer-sign`.
  * 20201127 code: fix 2 warnings from `-Wincompatible-library-redeclaration`.
  * 20201114 code: put all usernames into the same object.
  * 20201109 code: get rid of `error_*` variables and just `#define` them to their `errno` equivalents.
  * 20201108 code: add some tests for `prioq`.
  * 20201107 code: add `.gitattributes` to keep some files out of release tarballs.
  * 20201019 code: `qmail-remote`: avoid sending CRCRLF if input contains CRLF.
  * 20200708 code: remove orphaned `now.c`.
  * 20200708 code: reintroduce `alloc_re()`.
  * 20200708 code: `qmail-remote`: fix warnings about `get()` being used with wrong pointer signedness.
  * 20200708 code: clean up `hier.h` and spawn functions.
  * 20200708 code: `qmail-smtpd`: allow `[]` to appear in `Received:` lines.
  * 20200705 code: improve platform checks.
  * 20200704 code: `qmail-send`: use `utimes()` instead of `utime()`.
  * 20200701 code: add missing includes for `NULL`.
  * 20200621 code: make `now()` an inline function.
  * 20200619 cleanup: remove inefficient `maildirwatch`.
  * 20200617 code: `TARGETS`: drop needless `auto_uid*.o` and `auto_gid*.o` entries.
  * 20200614 code: use `NULL` instead of casting 0 to a pointer type.
  * 20200614 code: replace `alloc_re()` with plain `realloc()`.
  * 20200614 code: `predate`: use better version of calling `time()`.
  * 20200614 code: `qmail-remote`: stop rewriting `RCPT TO:` domains when they are a `CNAME` (RFC 5321 5.1).
  * 20200611 doc: append `.md` suffix to text docs.
  * 20200611 code: return `int` from all `main()` functions.
  * 20200611 code: make most output of `auto-str` human-readable.
  * 20200611 code: fix all warnings about usage of undeclared functions.
  * 20200524 code: remove functions that only reimplement standard C functions.
  * 20200523 cleanup: remove `qsmhook`, long since replaced by `preline`.
  * 20200523 code: use POSIX-compliant calling of `head` and `tail`.
  * 20200523 code: remove unused `substdio_bget()`.
  * 20200523 code: remove the custom allocator.
  * 20200523 code: add `scan.h` prototypes.
  * 20200523 code: add `fmt.h` prototypes.
  * 20200522 code: use default `strdup()` instead of open coding it.
  * 20200522 code: add back accidentally removed typecast in `gen_allocdefs.h`.
  * 20200520 cleanup: remove obsolete mail client wrappers `elq`, `pinq`, and `qail`.

 -- notqmail <packages@notqmail.org>  Mon, 06 May 2024 03:58:41 +0000

=== debian/control ===
Source: notqmail
Section: mail
Priority: extra
Maintainer: notqmail <packages@notqmail.org>
Standards-Version: 3.9.1
Homepage: https://github.com/notqmail/notqmail

Package: notqmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, net-tools, coreutils
Provides: default-mta, mail-transport-agent
Description: notqmail is a community-driven fork of qmail, beginning where netqmail
 left off: providing stable, compatible, small releases to which existing
 qmail users can safely update.
 notqmail also aims higher: developing an extensible, easily packaged, and
 increasingly useful modern mail server.
